Subject: Re: adding <jobs-in-queue> to ipp [relates to JMP]

From: Tom Hastings <[email-masked]>
Date: Tue, 19 Nov 1996 18:01:19 PST

At 13:34 11/19/96 PST, [email-masked] wrote:
>I noted  that we have no attribute which describes the length of the queue.
>One of the main things that I look at when i personally submit print jobs is
>how busy the printer is.  If a printer is very busy, I find one hat is not so
>backed up.  What about an attribute called <jobs-in-queue>?

I agree.  The PWG also agreed to add such an object to the Job Monitoring
MIB: jmGeneralCurrentNumberOfJobs.

Currently, the spec includes both pending/processing and completed jobs.
We should probably have two counters: one for pending/processing and
one for completed jobs.

One nit, should the pending/processing counter include the currently 
processing job or not?  I think yes, so that an idle printer has a distinct 
value (0), from one that is processing only one job and there are no more 
in the queue (1).

Tom